Bug 1350873 - [abrt] gnome-initial-setup: g_time_zone_ref(): gnome-initial-setup killed by SIGSEGV
Summary: [abrt] gnome-initial-setup: g_time_zone_ref(): gnome-initial-setup killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:512bd7fe87fbff7a9e7d4e2849e...
: 1318615 (view as bug list)
Depends On:
Blocks: F24AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-06-28 14:45 UTC by Petr Schindler
Modified: 2017-08-08 15:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:07:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.01 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: cgroup (242 bytes, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: core_backtrace (7.23 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: dso_list (42.30 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: environ (1.11 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: exploitable (95 bytes, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: maps (115.27 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: mountinfo (3.23 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: open_fds (1.96 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-06-28 14:45 UTC, Petr Schindler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1318615 None None None Never

Internal Links: 1318615

Description Petr Schindler 2016-06-28 14:45:11 UTC
Description of problem:
This is reproducer of bug 1318615

Version-Release number of selected component:
gnome-initial-setup-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup
crash_function: g_time_zone_ref
executable:     /usr/libexec/gnome-initial-setup
global_pid:     1275
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           CCpp
uid:            986

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_time_zone_ref at gtimezone.c:267
 #1 g_date_time_alloc at gdatetime.c:429
 #2 g_date_time_from_instant at gdatetime.c:524
 #3 g_date_time_new_from_timeval at gdatetime.c:647
 #4 g_date_time_new_now at gdatetime.c:705
 #5 update_clock at gnome-wall-clock.c:350
 #6 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 g_settings_real_change_event at gsettings.c:386
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76

Comment 1 Petr Schindler 2016-06-28 14:45:16 UTC
Created attachment 1173473 [details]
File: backtrace

Comment 2 Petr Schindler 2016-06-28 14:45:18 UTC
Created attachment 1173474 [details]
File: cgroup

Comment 3 Petr Schindler 2016-06-28 14:45:19 UTC
Created attachment 1173475 [details]
File: core_backtrace

Comment 4 Petr Schindler 2016-06-28 14:45:22 UTC
Created attachment 1173476 [details]
File: dso_list

Comment 5 Petr Schindler 2016-06-28 14:45:23 UTC
Created attachment 1173477 [details]
File: environ

Comment 6 Petr Schindler 2016-06-28 14:45:24 UTC
Created attachment 1173478 [details]
File: exploitable

Comment 7 Petr Schindler 2016-06-28 14:45:26 UTC
Created attachment 1173479 [details]
File: limits

Comment 8 Petr Schindler 2016-06-28 14:45:34 UTC
Created attachment 1173480 [details]
File: maps

Comment 9 Petr Schindler 2016-06-28 14:45:35 UTC
Created attachment 1173481 [details]
File: mountinfo

Comment 10 Petr Schindler 2016-06-28 14:45:37 UTC
Created attachment 1173482 [details]
File: namespaces

Comment 11 Petr Schindler 2016-06-28 14:45:38 UTC
Created attachment 1173483 [details]
File: open_fds

Comment 12 Petr Schindler 2016-06-28 14:45:39 UTC
Created attachment 1173484 [details]
File: proc_pid_status

Comment 13 Petr Schindler 2016-06-28 14:45:40 UTC
Created attachment 1173485 [details]
File: var_log_messages

Comment 14 Michael Catanzaro 2016-06-28 15:32:53 UTC
*** Bug 1318615 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2016-06-28 21:00:26 UTC
Some random gsettings key ("cursor-blink-timeout") changed on the schema org.gnome.desktop.interface, triggering the on_schema_change callback that calls update_clock. But priv->timezone is NULL at the time, and update_clock is not prepared to handle that case, causing the crash when it's passed to g_date_time_new_now.

Problem is, priv->timezone should never be NULL there and I don't see how it could have happened. priv->timezone is initialized in _init and can't possibly become invalid until the wall clock is finalized, but by that point the settings watch would have already been disconnected (by unreffing the GSettings object in dispose) and so on_schema_changed could never be called. It might be a bit safer to use g_signal_connect_object there, but it shouldn't matter since nothing else ever refs the GSettings object. So I don't see it.

Comment 16 Fedora End Of Life 2017-07-25 21:23:00 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 15:07:21 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.